Subject: Re: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Dec 2023 11:01:13 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 24 Dec 2023 06:52:13 -0800
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Juri Linkov <[email-masked]> writes:
> 
> >>> OTOH, with monospaced fonts LibreOffice selects such Block Area
> >>> on the reported text:
> >>>
> >>> and DEL deletes the selected text.  So maybe Emacs should do the same.
> >>
> >> The patch I posted in
> >>
> >>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67925#8
> >>
> >> is supposed to do precisely that (and does it at least in this simple
> >> example).
> >
> > I confirm this, so probably it's impossible to do anything better than that.
> 
> Doing as well as LibreOffice is probably already not bad.
> 
> Perhaps we should add a comment pointing to this discussion, to explain
> why we have chosen this particular heuristic.

Thanks.  Since it sounds like everyone agreed with the solution I
proposed, I have now installed that on the master branch, and I'm
therefore closing this bug.